## MMNetworkTimezone MMNetworkTimezone — Helper object to handle network timezone information. |

## Functions

gint32 | mm_network_timezone_get_offset ()
gint32 | mm_network_timezone_get_dst_offset ()
gint32 | mm_network_timezone_get_leap_seconds ()

## Types and Values

struct | MMNetworkTimezone
#define | MM_NETWORK_TIMEZONE_OFFSET_UNKNOWN
#define | MM_NETWORK_TIMEZONE_LEAP_SECONDS_UNKNOWN

## Object Hierarchy

        GObject
        ╰── MMNetworkTimezone

## Description

The MMNetworkTimezone is an object handling the timezone information reported by the network.

This object is retrieved with either `mm_modem_time_peek_network_timezone()` or `mm_modem_time_get_network_timezone()`.

## Functions

### mm_network_timezone_get_offset ()

    gint32
    mm_network_timezone_get_offset (MMNetworkTimezone *self);

Gets the timezone offset (in minutes) reported by the network.

#### Parameters

self | a MMNetworkTimezone. |

#### Returns

the offset, or `MM_NETWORK_TIMEZONE_OFFSET_UNKNOWN` if unknown.

### mm_network_timezone_get_dst_offset ()

    gint32
    mm_network_timezone_get_dst_offset (MMNetworkTimezone *self);

Gets the timezone offset due to daylight saving time (in minutes) reported by the network.

#### Parameters

self | a MMNetworkTimezone. |

#### Returns

the offset, or `MM_NETWORK_TIMEZONE_OFFSET_UNKNOWN` if unknown.

### mm_network_timezone_get_leap_seconds ()

    gint32
    mm_network_timezone_get_leap_seconds (MMNetworkTimezone *self);

Gets the number of leap seconds (TAI-UTC), as reported by the network.

#### Parameters

self | a MMNetworkTimezone. |

#### Returns

the number of leap seconds, or `MM_NETWORK_TIMEZONE_LEAP_SECONDS_UNKNOWN` if unknown.

## Types and Values

### struct MMNetworkTimezone

    struct MMNetworkTimezone;

The MMNetworkTimezone structure contains private data and should only be accessed using the provided API.

### MM_NETWORK_TIMEZONE_OFFSET_UNKNOWN

    #define MM_NETWORK_TIMEZONE_OFFSET_UNKNOWN       G_MAXINT32

Identifier for an unknown timezone offset.

### MM_NETWORK_TIMEZONE_LEAP_SECONDS_UNKNOWN

    #define MM_NETWORK_TIMEZONE_LEAP_SECONDS_UNKNOWN G_MAXINT32

Identifier for an unknown leap seconds value.